org.jboss.jca.as.converters.wls.metadata

## Class WeblogicConnectorAbstractImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.WeblogicConnectorAbstractImpl

- All Implemented Interfaces:
    java.io.Serializable, WeblogicConnector, WlsMetadata
  Direct Known Subclasses:
    WeblogicConnector13Impl

      public abstract class WeblogicConnectorAbstractImpl
      extends java.lang.Object
      implements WeblogicConnector

  An abstract WeblogicConnector Impl.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AdminObjects` | `aos` AdminObjects
    `protected java.lang.String` | `jndiName` jndiName
    `protected java.lang.String` | `nativeLibdir` nativeLibdir
    `protected OutboundResourceAdapter` | `ora` OutboundResourceAdapter
    `protected ConfigProperties` | `props` ConfigProperties
    `protected ResourceAdapterSecurity` | `ras` ResourceAdapterSecurity

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeblogicConnectorAbstractImpl(java.lang.String nativeLibdir, java.lang.String jndiName, ResourceAdapterSecurity ras, ConfigProperties props, AdminObjects aos, OutboundResourceAdapter ora)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminObjects` | `getAdminObjects()` getAdminObjects
    `ConnectorWorkManager` | `getConnectorWorkManager()` getConnectorWorkManager
    `java.lang.String` | `getJndiName()` Get JndiName
    `java.lang.String` | `getNativeLibdir()` Get NativeLibdir
    `OutboundResourceAdapter` | `getOutboundResourceAdapter()` getOutboundResourceAdapter
    `ConfigProperties` | `getProperties()` getProperties
    `ResourceAdapterSecurity` | `getSecurity()` getSecurity
    `WorkManager` | `getWorkManager()` getWorkManager
    `java.lang.Boolean` | `isEnableAccessOutsideApp()` isEnableAccessOutsideApp
    `java.lang.Boolean` | `isEnableGlobalAccessToClasses()` isEnableGlobalAccessToClasses

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeLibdir

          protected final java.lang.String nativeLibdir

      nativeLibdir

    - #### jndiName

          protected final java.lang.String jndiName

      jndiName

    - #### ras

          protected final ResourceAdapterSecurity ras

      ResourceAdapterSecurity

    - #### props

          protected final ConfigProperties props

      ConfigProperties

    - #### aos

          protected final AdminObjects aos

      AdminObjects

    - #### ora

          protected final OutboundResourceAdapter ora

      OutboundResourceAdapter

  - ### Constructor Detail

    - #### WeblogicConnectorAbstractImpl

          public WeblogicConnectorAbstractImpl(java.lang.String nativeLibdir,
                                               java.lang.String jndiName,
                                               ResourceAdapterSecurity ras,
                                               ConfigProperties props,
                                               AdminObjects aos,
                                               OutboundResourceAdapter ora)

      constructor
      Parameters:
        `nativeLibdir` - nativeLibdir
        `jndiName` - jndiName
        `ras` - ResourceAdapterSecurity
        `props` - ConfigProperties
        `aos` - AdminObjects
        `ora` - OutboundResourceAdapter

  - ### Method Detail

    - #### getNativeLibdir

          public java.lang.String getNativeLibdir()

      Get NativeLibdir
      Specified by:
        `getNativeLibdir` in interface `WeblogicConnector`
      Returns:
        native-libdir string

    - #### getJndiName

          public java.lang.String getJndiName()

      Description copied from interface: `WeblogicConnector`
      Get JndiName
      Specified by:
        `getJndiName` in interface `WeblogicConnector`
      Returns:
        the jndi name

    - #### isEnableAccessOutsideApp

          public java.lang.Boolean isEnableAccessOutsideApp()

      Description copied from interface: `WeblogicConnector`
      isEnableAccessOutsideApp
      Specified by:
        `isEnableAccessOutsideApp` in interface `WeblogicConnector`
      Returns:
        bool EnableAccessOutsideApp

    - #### isEnableGlobalAccessToClasses

          public java.lang.Boolean isEnableGlobalAccessToClasses()

      Description copied from interface: `WeblogicConnector`
      isEnableGlobalAccessToClasses
      Specified by:
        `isEnableGlobalAccessToClasses` in interface `WeblogicConnector`
      Returns:
        bool EnableGlobalAccessToClasses

    - #### getWorkManager

          public WorkManager getWorkManager()

      Description copied from interface: `WeblogicConnector`
      getWorkManager
      Specified by:
        `getWorkManager` in interface `WeblogicConnector`
      Returns:
        the WorkManager

    - #### getConnectorWorkManager

          public ConnectorWorkManager getConnectorWorkManager()

      Description copied from interface: `WeblogicConnector`
      getConnectorWorkManager
      Specified by:
        `getConnectorWorkManager` in interface `WeblogicConnector`
      Returns:
        the ConnectorWorkManager

    - #### getSecurity

          public ResourceAdapterSecurity getSecurity()

      Description copied from interface: `WeblogicConnector`
      getSecurity
      Specified by:
        `getSecurity` in interface `WeblogicConnector`
      Returns:
        the ResourceAdapterSecurity

    - #### getProperties

          public ConfigProperties getProperties()

      Description copied from interface: `WeblogicConnector`
      getProperties
      Specified by:
        `getProperties` in interface `WeblogicConnector`
      Returns:
        the ConfigProperties

    - #### getAdminObjects

          public AdminObjects getAdminObjects()

      Description copied from interface: `WeblogicConnector`
      getAdminObjects
      Specified by:
        `getAdminObjects` in interface `WeblogicConnector`
      Returns:
        the AdminObjects

    - #### getOutboundResourceAdapter

          public OutboundResourceAdapter getOutboundResourceAdapter()

      Description copied from interface: `WeblogicConnector`
      getOutboundResourceAdapter
      Specified by:
        `getOutboundResourceAdapter` in interface `WeblogicConnector`
      Returns:
        the OutboundResourceAdapter

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)